/** PROJEKT > LOGO **/

#logo {
    position: relative;
    /*overflow: clip*/
    transition: background-color ease .3s;
}

#logo .logoLayerBackground:before {
    background-color: var(--bgcolor-86);
}

#logo {
    background-image: url(../images/logo-bg-white.svg);
    background-attachment: fixed;
    background-size: 11px 11px !important;
    /*transform: translate3d(0, 0, 0);*/
    will-change: opacity;
}


section#logo-design {
    position: relative
}

#logoHolder {
    position: relative;
    /*transition: background-color ease .3s;*/
    /*pointer-events: none;*/
    border-top: 1px solid rgba(0, 0, 0, .05);
    border-bottom: 1px solid rgba(0, 0, 0, .05);
    padding: 0;
    z-index: 2;
}


#logoHolder .logoLayer {
    pointer-events: none;
    z-index: 2;
    text-align: center;
}

.logoLayer svg {
    transform: translate3d(0, 0, 0);
}

.logoLayer svg * {
    /*    transition: fill ease .6s; */
    pointer-events: all;
}

.pathonly .logoLayer svg * {
    fill-opacity: 0;
    stroke-opacity: 1;
    stroke: var(--gridcolor);
    stroke-width: 10px;
}

.bildmarke svg {
    transform-origin: right center;
    transform: scale(1);
}

.stationeryimage {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    aspect-ratio: 1;
    will-change: opacity;
    opacity: 0;

}

.stationeryimage, .stationerydrawing {
    width: 100%;
    aspect-ratio: 1;
}

.stimages {
    position: relative;
    border: 1px solid var(--gridcolor-43);
    background-color: var(--bgcolor-14);
    backdrop-filter: var(--blur);
}

.stimages img {
    will-change: opacity;

}

body #logo.four-c-positiv {
    background-color: var(--gridcolor-86) !important; 
}

body.lightmode #logo.four-c-positiv {
    background-color: var(--bgcolor-86);
}

body.lightmode #logo.four-c-negativ {
    background-color: var(--gridcolor-86);
}

body.lightmode #logo.four-c-negativ .stimages,
body.darkmode #logo.four-c-positiv .stimages {
    border-color: var(--bgcolor-43)
}

.stimages svg * {
    fill: none !important;
    stroke-width: 1px;
    stroke: var(--gridcolor);
    stroke-opacity: 1 !important;
}

.stationerydrawing {
    position: absolute;
    lefT: 0;
    top: 0;
}

.stimages:hover > .stationeryimage {
    opacity: .86;
}

.bildmarke svg {
    transform-origin: right center;
    float: right;
    clear: both;
}

.wortmarke svg {
    transform-origin: left center;
    width: 100% !important;
}

.stationeryelement {
    width: 49.5%;
}

.stationeryelement.large {
    width: 100%;
}

@media (min-width: 768px) {
    .stationeryelement {
        width: 23%;
    }

    .stationeryelement.large {
        width: 47%;
    }
}

.stationeryimage {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    aspect-ratio: 1;
}

.stationeryimage, .stationerydrawing {
    width: 100%;
    aspect-ratio: 1;
}

.stationeryimage {
    opacity: 0;
    /*transition: opacity ease .5s;*/
}

.stationerydrawing {
    position: absolute;
    lefT: 0;
    top: 0;
}

.stimages:hover > .stationeryimage {
    opacity: .43 !important;
}

.stimages svg {
    position: absolute;
    lefT: 0;
    top: 0;
    pointer-events: none;
}


#logoHolder {
    display: flex
}

/*
input[type=range][orient=vertical] {
    writing-mode: vertical-rl;
    direction: ltr;
    appearance: slider-vertical;
    width: 16px;
    vertical-align: top;
}*/

.logo-overall {
    flex-grow: 1;
}

/*
#logo .logobuttonsholder {
    top: 0px;
    z-index: 100;
    width: 100%;
    height: 60px;
    max-height: 60px;
    display: flex;
    flex-direction: row;
    border-top: 1px solid var(--gridcolor);
    backdrop-filter:  var(--blur);
    will-change: opacity;
}

.controlbtn {
    display: flex;
    align-items: center;
    flex-grow: 1;
    flex-shrink: 1;
    text-align: right;
    justify-content: center;
    position: relative;
    color: var(--textcolor);
    text-decoration: none;
    min-width: 60px;
}
*/
.controlbtn span {
    display: block;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    height: 100%;
    width: 100%;
    min-width: 60px;
    vertical-align: middle;
    line-height: 60px;
    padding: 0 5px;
    max-width: calc(100% - 10px);
}

.controlbtn i {
    color: var(--textcolor)
}

.controlbtn:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    background-color: var(--bgcolor-43);
    /*transition: all ease .3s;*/
    z-index: -1;
}


.controlbtn:hover:after {
    height: 100%;
    background-color: var(--bgcolor-86);
}

.controlbtn.active:after {
    height: 100%;
    background-color: var(--gridcolor)
}

.controlbtn.active,
.controlbtn.active i {
    color: var(--bgcolor) !important
}

#logo .logobuttonsholder {
    width: max-content;
    top: calc(var(--padding) * 3);
    z-index: 100;
    position: absolute;
    left: var(--padding);
    top: 0;
    flex-direction: column;
    border-right: 1px solid var(--gridcolor);
    height: auto;
    max-height: unset;
    border-top: 0;
}

.controlbtn {
    aspect-ratio: 1;
    width: calc(var(--padding) * 1.43);
    min-width: 43px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.controlbtn:after {
    right: 1px
}

.controlbtn.active:after {
    width: 100%
}

.controlbtn:hover:after {
    width: 100%;
}


.logoLayer svg * {
    stroke-width: 4;
    /*transition: fill-opacity ease 1s, stroke ease .5s;*/
}

.logoLayer.pathonly svg * {
    fill-opacity: 0;
}

.logoLayer.pathonly svg * {
    stroke: var(--textcolor);
}

#logo.four-c-positiv svg *,
#logo.four-c-negativ svg * {
    fill-opacity: 1;
    stroke-opacity: 0;
}

#logo svg *:hover {
    fill-opacity: .6 !important;
    stroke-opacity: 1;
    stroke-width: 8;
}

#logo.four-c-negativ svg * {
    stroke: var(--textcolor);
}

#logo.four-c-positiv svg * {
    stroke: var(--bgcolor);
}

body.lightmode #logo.four-c-negativ svg * {
    stroke: var(--bgcolor);
}

body.lightmode #logo.four-c-positiv svg * {
    stroke: var(--textcolor);
}

.logoLayer {
    flex-grow: 1;
}

.logoLayer svg g {
    pointer-events: none !important
}

.logoLayer svg g > * {
    pointer-events: all !important
}


.logoLayerBackground {
    content: '';
    position: absolute;
    inset: 0 -1000px;
    z-index: -2;
    background-size: 14px;
    opacity: 0;
    -webkit-mask-image: linear-gradient(to bottom, var(--bgcolor) 86%, transparent 100%);
    mask-image: linear-gradient(to bottom, var(--bgcolor) 86%, transparent 100%);
}


.logoLayerBackground:before {
    content: '';
    position: absolute;
    inset: 0;
    z-index: -1;
}


#logo.pathonly .logoLayerBackground:before,
#logo.four-c-negativ .logoLayerBackground:before {
    background-color: var(--bgcolor-86);
}

#logo.pathonly,
#logo.four-c-negativ {
    background-image: url(../images/logo-bg-white.svg);
}

#logo.four-c-negativ {
    background-color: var(--bgcolor-86);
}


#logo.four-c-positiv {
    background-image: url(../images/logo-bg.svg);
}

body.lightmode #logo.pathonly .logoLayerBackground {

}

body.lightmode #logo.pathonly .logoLayerBackground:before {
    background-color: var(--bgcolor-86);
}

body.lightmode #logo.pathonly {
    background-image: url(../images/logo-bg.svg);
}

body.lightmode #logo.four-c-positiv .logoLayerBackground:before {
    background-color: var(--bgcolor-86);
}

body.lightmode #logo.four-c-positiv {
    background-image: url(../images/logo-bg.svg);
}


body.lightmode #logo.four-c-negativ .logoLayerBackground:before {
    background-color: var(--gridcolor-86);
}

body.lightmode #logo.four-c-negativ {
    background-image: url(../images/logo-bg-white.svg);
}


.logotextholder {
    position: relative;
    will-change: opacity;
}


.logotextholder .logoline {
    content: '';
    position: absolute;
    left: calc(var(--padding) * -0.5);
    bottom: 50%;
    top: calc(100vw / -4.5 + var(--padding));
    border-left: 2px dashed var(--gridcolor-43);
    width: 3px;
    /*transition: bottom ease .3s;*/
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
}


.logotextholder:hover:before {
    bottom: 43%;
}

.logo-komplett .logotextholder .logoline {
    bottom: 100%;
    left: 50%;
}

.logo-wortmarke,
.logo-bildmarke {
    position: relative
}

.logo-wortmarke p.h2,
.logo-bildmarke p.h2 {
    position: absolute;
    line-height: 1;
    top: 57%;
    right: 10%;
    color: var(--gridcolor-14);
    text-transform: uppercase;
    text-align: right;
    hyphens: auto;
    hyphenate-character: '';
    max-width: 50%;
}

.logo-wortmarke p.h2 {
    right: auto;
}

body.darkmode #logo.four-c-positiv .logotextholder h4,
body.darkmode #logo.four-c-positiv .logotextholder p,
body.darkmode #logo.four-c-positiv .logotextholder li {
    color: var(--bgcolor);
}

body.darkmode #logo.four-c-positiv .logotextholder .logoline {
    border-left-color: var(--bgcolor-43);
}

body.darkmode #logo.four-c-positiv .logo-wortmarke p.h2,
body.darkmode #logo.four-c-positiv .logo-bildmarke p.h2 {
    color: var(--bgcolor-14);
}

body.lightmode #logo.four-c-negativ .logotextholder h4,
body.lightmode #logo.four-c-negativ .logotextholder p,
body.lightmode #logo.four-c-negativ .logotextholder li {
    color: var(--bgcolor);
}

body.lightmode #logo.four-c-negativ .logotextholder .logoline {
    border-left-color: var(--bgcolor-43);
}

body.lightmode #logo.four-c-negativ .logo-wortmarke p.h2,
body.lightmode #logo.four-c-negativ .logo-bildmarke p.h2 {
    color: var(--bgcolor-14);
}

.pointer {
    position: absolute;
    margin-left: 8px;
    margin-bottom: 8px;
    z-index: 10;
    font-weight: bold;
    display: none;
    line-height: 30px;
    color: var(--textcolor);
    background-color: var(--bgcolor-86);
    border: 1px solid var(--gridcolor-43)

}

.pointer.in {
    display: block;
}

@media (max-width: 767px) {
    .logo-komplett .logotextholder .logoline {
        left: calc(var(--padding) * -0.5);
        bottom: 50%;
        top: calc(100vw / -4.5 + var(--padding));
    }

    #logoHolder.logoHolder {
        padding-bottom: 180px;
    }

    .pathonly .logoLayer svg * {
        stroke-width: 20px
    }

    .logotextholder .logoline {
        border-left-width: 2px;
    }
}
